Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455863 - output window of wxMaxima is not visible in RtL locales
Summary: output window of wxMaxima is not visible in RtL locales
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxMaxima
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-18 13:25 UTC by Muayyad Alsadi
Modified: 2009-11-11 14:56 UTC (History)
1 user (show)

Fixed In Version: 0.8.3a-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-11 14:56:22 UTC


Attachments (Terms of Use)
patch -p0 (deleted)
2008-08-06 20:10 UTC, Muayyad Alsadi
no flags Details | Diff

Description Muayyad Alsadi 2008-07-18 13:25:49 UTC
Description of problem:
if you run wxMaxima in a right to left locale the output window/console will
appear empty
for example start it by:
 LC_ALL=ar_SA.UTF-8 wxmaxima
or
 LC_ALL=he_IL.UTF-8 wxmaxima

it could be that the welcome message is aligned too mush to the left so it's not
visible. (it's in MathCtrl.cpp)


Version-Release number of selected component (if applicable):
wxMaxima-0.7.5-1.fc9.i386

How reproducible:


Steps to Reproduce:
run
  LC_ALL=ar_SA.UTF-8 wxmaxima
  
Actual results:
no output, no welcome message in output window

Expected results:
welcome message, results

Comment 1 Muayyad Alsadi 2008-08-06 20:10:07 UTC
Created attachment 313632 [details]
patch -p0

force left to right so that text won't be out of the visible rectangle when it's running in Arabic local

Comment 2 Bug Zapper 2009-06-10 02:07:40 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 16:13:39 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Muayyad Alsadi 2009-07-15 18:04:04 UTC
> If you can reproduce this bug against a currently maintained version of Fedora ..

yes, the bug is reproduced in F11

please just apply the single line trivial patch

Comment 5 Rex Dieter 2009-07-18 20:33:18 UTC
Looks like I overlooked this, will take a closer look at the patch (thanks, by the way).

Comment 6 Rex Dieter 2009-07-18 20:41:26 UTC
Fixed in rawhide, 

* Sat Jul 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.8.2-2
- output window of wxMaxima is not visible in RtL locales (#455863)

will work on update for fedora releases...

Comment 7 Fedora Update System 2009-10-27 07:11:18 UTC
wxMaxima-0.8.3a-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxMaxima'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10837

Comment 8 Fedora Update System 2009-11-11 14:56:11 UTC
wxMaxima-0.8.3a-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.